lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shai Erera (JIRA)" <j...@apache.org>
Subject [jira] Created: (LUCENE-2480) Remove support for pre-3.0 indexes
Date Thu, 27 May 2010 15:44:40 GMT
Remove support for pre-3.0 indexes
----------------------------------

                 Key: LUCENE-2480
                 URL: https://issues.apache.org/jira/browse/LUCENE-2480
             Project: Lucene - Java
          Issue Type: Improvement
          Components: Index
            Reporter: Shai Erera
            Priority: Minor
             Fix For: 4.0


We should remove support for 2.x (and 1.9) indexes in 4.0. It seems that nothing can be done
in 3x because there is no special code which handles 1.9, so we'll leave it there. This issue
should cover:
# Remove the .zip indexes
# Remove the unnecessary code from SegmentInfo and SegmentInfos. Mike suggests we compare
the version headers at the top of SegmentInfos, in 2.9.x vs 3.0.x, to see which ones can go.
# remove FORMAT_PRE from FieldInfos
# Remove old format from TermVectorsReader

If you know of other places where code can be removed, then please post a comment here.

I don't know when I'll have time to handle it, definitely not in the next few days. So if
someone wants to take a stab at it, be my guest.


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message